From cad482dae039b4aa1585cb53521414ff796ea364 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Jan 26 2017 08:27:42 +0000
Subject: [PATCH 668/1001] Use requests instead of httplib2


---

diff --git a/hubs/validators.py b/hubs/validators.py
index 0a44d90..a33fe0f 100755
--- a/hubs/validators.py
+++ b/hubs/validators.py
@@ -1,7 +1,7 @@
 import kitchen.text.converters
 
 import hubs.models
-import httplib2
+import requests
 
 
 def required(session, value):
@@ -42,17 +42,14 @@ def fmn_context(session, value):
 
 
 def pagure_repo(session, value):
-    conn = httplib2.Http()
-    response, _content = conn.request("https://pagure.io/%s" % value, "GET")
-    if response.status == 200:
+    response = requests.get("https://pagure.io/%s" % value)
+    if response.status_code == 200:
         return value
     raise ValueError('Invalid pagure repo')
 
 
 def fedorahosted_project(session, value):
-    conn = httplib2.Http()
-    response, _content = conn.request(
-        "https://fedorahosted.org/%s" % value, "GET")
-    if response.status == 200:
+    response = requests.get("https://fedorahosted.org/%s" % value)
+    if response.status_code == 200:
         return value
     raise ValueError('Invalid fedorahosted project')
diff --git a/setup.py b/setup.py
index 6ddbd37..15f69c2 100644
--- a/setup.py
+++ b/setup.py
@@ -34,6 +34,7 @@ setup(
         'Topic :: Software Development :: Libraries :: Python Modules',
         'Intended Audience :: Developers',
         'Programming Language :: Python',
+        'Programming Language :: Python :: 3',
     ],
     entry_points={
         'moksha.consumer': [

